<h4 class="text-center">Question instances for <%=id_question%>, ordered by TS submitted, desc (cnt = <%-list.rows && list.rows.length%>):</h4>
<% if (alltime) { %>
    <p class="text-center">
        <i>This view shows all instances of this question, if you want to see only those in the current acadedmic year follow
            this <a href="/question/instances/<%=id_question%>">link</a>.</i>
    </p>
    
<% } else { %>
    <p class="text-center">
        <i class="text-center">This view shows only instances of this question for the current academic year, if you want to see
            all instances please follow this <a href="/question/instances/alltime/<%=id_question%>">link</a>.</i>
    </p>
<% } %>
<hr>
<form action="/question/instances/modifyscore/<%=id_question%>" method="POST" class="form-inline" role="form">
<div class="row">
    <div class="col-sm-1">
        <label for="N" class="col-form-label float-right">N</label>
        <input type="number" class="form-control" id="N" value="1" size="3" min="1" max="999">
    </div>
    <div class="col-3">
        <button class="btn btn-outline-success" type="button" id="select">Select first N rows</button>
        <button class="btn btn-outline-success" type="button" id="deselect">Deselect first N rows</button>
    </div>
    
    <div class="col-3 offset-1 text-right">
        
        
            <label for="reason" class="col-form-label float-right">Reason</label>
            <input type="text" class="form-control" id="reason" name="reason" required>
        
    </div>
    <div class="col-4 text-right">
        <fieldset class="form-group">
            <label for="score_delta">Delta (+/-)</label>
            <input type="number" min="-1000" max="1000" step="0.001" class="form-control" id="score_delta" name="score_delta" value="0.010" required>
        </fieldset>
        <button class="btn btn-outline-success float-left" type="submit" name="modify" value="modify">Modify score by delta</button>
    </div>
</div>
<hr>

<%  locals.tabledata = list; %>
<%- include(`${locals.partialsRoot}/table`) %>
</form>